ata_msense_push
Prev | Chapter 6. libata SCSI translation/emulation | Next

## Name

ata_msense_push — Push data onto MODE SENSE data output buffer

## Synopsis

`void ata_msense_push (` | u8 ** | ptr_io,
| const u8 * | last,
| const u8 * | buf,
| unsigned int | buflen`)`;

## Arguments

`ptr_io`

  (input/output) Location to store more output data

`last`

  End of output data buffer

`buf`

  Pointer to BLOB being added to output buffer

`buflen`

  Length of BLOB

## Description

Store MODE SENSE data on an output buffer.

## LOCKING

None.

Prev | Up | Next
ata_scsiop_noop | Home | ata_msense_caching